<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: scalar_quick_defs::solver_quick_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacescalar__quick__defs.html">scalar_quick_defs</a></li><li class="navelem"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html">solver_quick_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structscalar__quick__defs_1_1solver__quick__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">scalar_quick_defs::solver_quick_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for scalar_quick_defs::solver_quick_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structscalar__quick__defs_1_1solver__quick____coll__graph.png" border="0" usemap="#scalar__quick__defs_1_1solver__quick___coll__map" alt="Collaboration graph"/></div>
<map name="scalar__quick__defs_1_1solver__quick___coll__map" id="scalar__quick__defs_1_1solver__quick___coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac0c6d470788f7cd467fe837b2bcdee63"><td class="memItemLeft" align="right" valign="top">character(len=128)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#ac0c6d470788f7cd467fe837b2bcdee63">name</a></td></tr>
<tr class="separator:ac0c6d470788f7cd467fe837b2bcdee63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab32973442b97413f98d7db355fc0b97d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#ab32973442b97413f98d7db355fc0b97d">quick_xp</a> =&gt; null()</td></tr>
<tr class="separator:ab32973442b97413f98d7db355fc0b97d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18c86f63695031afaa4b57f8655f8e1c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a18c86f63695031afaa4b57f8655f8e1c">quick_yp</a> =&gt; null()</td></tr>
<tr class="separator:a18c86f63695031afaa4b57f8655f8e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3ad554f61565c18d9be80eb444aa8dd"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#ac3ad554f61565c18d9be80eb444aa8dd">quick_zp</a> =&gt; null()</td></tr>
<tr class="separator:ac3ad554f61565c18d9be80eb444aa8dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91b8c37d78bce6092470dbfc6eff5796"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a91b8c37d78bce6092470dbfc6eff5796">quick_xm</a> =&gt; null()</td></tr>
<tr class="separator:a91b8c37d78bce6092470dbfc6eff5796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00d8163a2b073aab6242916b4f95ca4e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a00d8163a2b073aab6242916b4f95ca4e">quick_ym</a> =&gt; null()</td></tr>
<tr class="separator:a00d8163a2b073aab6242916b4f95ca4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab78854aec370ca6d8277289d20e3a46"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#aab78854aec370ca6d8277289d20e3a46">quick_zm</a> =&gt; null()</td></tr>
<tr class="separator:aab78854aec370ca6d8277289d20e3a46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c1a120d30a8e2fd746fd19757db12c0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a0c1a120d30a8e2fd746fd19757db12c0">quick_xp_1d</a> =&gt; null()</td></tr>
<tr class="separator:a0c1a120d30a8e2fd746fd19757db12c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ea7a2e62f6aadc07bf440a98857b1b2"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a8ea7a2e62f6aadc07bf440a98857b1b2">quick_yp_1d</a> =&gt; null()</td></tr>
<tr class="separator:a8ea7a2e62f6aadc07bf440a98857b1b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6d1da999984b4e5c6eb2d14085d5a19"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#ae6d1da999984b4e5c6eb2d14085d5a19">quick_zp_1d</a> =&gt; null()</td></tr>
<tr class="separator:ae6d1da999984b4e5c6eb2d14085d5a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32d990755bdbcb77373f815787e5257c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a32d990755bdbcb77373f815787e5257c">quick_xm_1d</a> =&gt; null()</td></tr>
<tr class="separator:a32d990755bdbcb77373f815787e5257c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0915f2663a2bca95f1ca0151ea203bd5"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a0915f2663a2bca95f1ca0151ea203bd5">quick_ym_1d</a> =&gt; null()</td></tr>
<tr class="separator:a0915f2663a2bca95f1ca0151ea203bd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7eed3155671f85dd841340996e727c0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#ab7eed3155671f85dd841340996e727c0">quick_zm_1d</a> =&gt; null()</td></tr>
<tr class="separator:ab7eed3155671f85dd841340996e727c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51faf8edf332a9323833acd45b84efa0"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a51faf8edf332a9323833acd45b84efa0">st1</a> = 0</td></tr>
<tr class="separator:a51faf8edf332a9323833acd45b84efa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aa5c8555a30d580578387fa40fc15dd"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a8aa5c8555a30d580578387fa40fc15dd">st2</a> = 1</td></tr>
<tr class="separator:a8aa5c8555a30d580578387fa40fc15dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc200f9fbd985085da06c6b8b11c7fe2"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#acc200f9fbd985085da06c6b8b11c7fe2">flag</a></td></tr>
<tr class="separator:acc200f9fbd985085da06c6b8b11c7fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7deedb2427bd1990046efb0784bad82c"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structscalar__quick__defs_1_1solver__quick__.html">solver_quick_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscalar__quick__defs_1_1solver__quick__.html#a7deedb2427bd1990046efb0784bad82c">next</a> =&gt; null()</td></tr>
<tr class="separator:a7deedb2427bd1990046efb0784bad82c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="acc200f9fbd985085da06c6b8b11c7fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc200f9fbd985085da06c6b8b11c7fe2">&#9670;&nbsp;</a></span>flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical scalar_quick_defs::solver_quick_::flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0c6d470788f7cd467fe837b2bcdee63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0c6d470788f7cd467fe837b2bcdee63">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=128) scalar_quick_defs::solver_quick_::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7deedb2427bd1990046efb0784bad82c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7deedb2427bd1990046efb0784bad82c">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structscalar__quick__defs_1_1solver__quick__.html">solver_quick_</a>), pointer scalar_quick_defs::solver_quick_::next =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a91b8c37d78bce6092470dbfc6eff5796"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91b8c37d78bce6092470dbfc6eff5796">&#9670;&nbsp;</a></span>quick_xm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer scalar_quick_defs::solver_quick_::quick_xm =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32d990755bdbcb77373f815787e5257c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32d990755bdbcb77373f815787e5257c">&#9670;&nbsp;</a></span>quick_xm_1d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer scalar_quick_defs::solver_quick_::quick_xm_1d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab32973442b97413f98d7db355fc0b97d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab32973442b97413f98d7db355fc0b97d">&#9670;&nbsp;</a></span>quick_xp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer scalar_quick_defs::solver_quick_::quick_xp =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c1a120d30a8e2fd746fd19757db12c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c1a120d30a8e2fd746fd19757db12c0">&#9670;&nbsp;</a></span>quick_xp_1d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer scalar_quick_defs::solver_quick_::quick_xp_1d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a00d8163a2b073aab6242916b4f95ca4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00d8163a2b073aab6242916b4f95ca4e">&#9670;&nbsp;</a></span>quick_ym</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer scalar_quick_defs::solver_quick_::quick_ym =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0915f2663a2bca95f1ca0151ea203bd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0915f2663a2bca95f1ca0151ea203bd5">&#9670;&nbsp;</a></span>quick_ym_1d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer scalar_quick_defs::solver_quick_::quick_ym_1d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18c86f63695031afaa4b57f8655f8e1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18c86f63695031afaa4b57f8655f8e1c">&#9670;&nbsp;</a></span>quick_yp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer scalar_quick_defs::solver_quick_::quick_yp =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ea7a2e62f6aadc07bf440a98857b1b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ea7a2e62f6aadc07bf440a98857b1b2">&#9670;&nbsp;</a></span>quick_yp_1d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer scalar_quick_defs::solver_quick_::quick_yp_1d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab78854aec370ca6d8277289d20e3a46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab78854aec370ca6d8277289d20e3a46">&#9670;&nbsp;</a></span>quick_zm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer scalar_quick_defs::solver_quick_::quick_zm =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7eed3155671f85dd841340996e727c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7eed3155671f85dd841340996e727c0">&#9670;&nbsp;</a></span>quick_zm_1d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer scalar_quick_defs::solver_quick_::quick_zm_1d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3ad554f61565c18d9be80eb444aa8dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3ad554f61565c18d9be80eb444aa8dd">&#9670;&nbsp;</a></span>quick_zp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer scalar_quick_defs::solver_quick_::quick_zp =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6d1da999984b4e5c6eb2d14085d5a19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6d1da999984b4e5c6eb2d14085d5a19">&#9670;&nbsp;</a></span>quick_zp_1d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer scalar_quick_defs::solver_quick_::quick_zp_1d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51faf8edf332a9323833acd45b84efa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51faf8edf332a9323833acd45b84efa0">&#9670;&nbsp;</a></span>st1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer scalar_quick_defs::solver_quick_::st1 = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8aa5c8555a30d580578387fa40fc15dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8aa5c8555a30d580578387fa40fc15dd">&#9670;&nbsp;</a></span>st2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer scalar_quick_defs::solver_quick_::st2 = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="scalar__quick__defs_8f90.html">scalar_quick_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
